Bug 1607112 - Segmentation Fault when running upstream Antora
Summary: Segmentation Fault when running upstream Antora
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: NodeJS Packaging SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-22 06:19 UTC by Adam Samalik
Modified: 2018-08-13 09:02 UTC (History)
8 users (show)

Fixed In Version: nodejs-8.11.3-2.fc28 nodejs-8.11.3-2.fc27 nodejs-8-20180724192622.9c690d0e
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-07 01:15:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Samalik 2018-07-22 06:19:16 UTC
Description of problem:

When I run Antora [0] installed from the upstream, I get a segmentation fault.


Version-Release number of selected component (if applicable):

nodejs-1:8.11.3-1.fc28.x86_64

However, running 'dnf downgrade nodejs' gives me nodejs-1:8.11.0-1.fc28.x86_64 which works fine.


How reproducible:
Steps to Reproduce:

I've started a Fedora 28 container:
$ sudo docker run --rm -it fedora:28 bash

In the container, I've installed Antora. I have to force a recompile of the site generator because of NodeGit. [1]
# dnf -y install wget nodejs git @development-tools libssh2-devel hostname python curl-devel /usr/bin/g++
# npm i -g @antora/cli
# BUILD_ONLY=true npm install -g @antora/site-generator-default --unsafe-perm

And then downloaded an Antora playbook, and ran Antora:
# wget https://gitlab.com/antora/demo/demo-site/raw/master/site.yml
# antora site.yml
Segmentation fault (core dumped)

OR:

I've started a Fedora 28 container:
$ sudo docker run --rm -it fedora:28 bash

In the container, I've installed Antora. This time, I avoid the recompilation by creating a symlink. Again, it's the NodeGit thing [1].
# dnf -y install @development-tools wget nodejs git libssh2-devel
# npm i -g @antora/cli
# ln -s /usr/lib64/libcurl.so.4 /usr/lib64/libcurl-gnutls.so.4
# npm install -g @antora/site-generator-default --unsafe-perm

And then downloaded an Antora playbook, and ran Antora:
# wget https://gitlab.com/antora/demo/demo-site/raw/master/site.yml
# antora site.yml
Segmentation fault (core dumped)


Actual results:

Segmentation fault (core dumped)

Expected results:

The build works, providing an output similar to the following:
[root@34d86b8719f7 ~]# antora site.yml 
[clone] ...://gitlab.com/antora/demo/demo-component-a.git [#############################################]
[clone] ...://gitlab.com/antora/demo/demo-component-b.git [#############################################]


Additional info:

[0] https://docs.antora.org/antora/1.0/
[1] https://docs.antora.org/antora/1.0/install/troubleshoot-nodegit/

I've initially opened a bug against Antora here: https://gitlab.com/antora/antora/issues/275

Comment 1 Stephen Gallagher 2018-07-24 17:46:02 UTC
I did some investigation on this today. It appears to be related to the OpenSSL 1.1 patches we're carrying. I think I may "fix" this by just reverting to using OpenSSL 1.0.2 instead of 1.1.

Comment 2 Fedora Update System 2018-07-30 11:51:51 UTC
nodejs-8-20180724192622.9c690d0e has been submitted as an update to Fedora 28 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-b09b0105d5

Comment 3 Fedora Update System 2018-07-30 11:52:02 UTC
nodejs-8.11.3-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a9a3ec52a5

Comment 4 Fedora Update System 2018-07-30 11:52:10 UTC
nodejs-8.11.3-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-16cd92ed62

Comment 5 Fedora Update System 2018-07-30 15:15:30 UTC
nodejs-8-20180724192622.9c690d0e has been pushed to the Fedora 28 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-b09b0105d5

Comment 6 Fedora Update System 2018-07-30 17:09:53 UTC
nodejs-8.11.3-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a9a3ec52a5

Comment 7 Fedora Update System 2018-07-30 19:39:14 UTC
nodejs-8.11.3-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-16cd92ed62

Comment 8 Fedora Update System 2018-08-07 01:15:53 UTC
nodejs-8.11.3-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-08-08 15:34:47 UTC
nodejs-8.11.3-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-08-08 16:44:54 UTC
nodejs-8-20180724192622.9c690d0e has been pushed to the Fedora 28 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Adam Samalik 2018-08-13 09:02:47 UTC
Thank you, Stephen!


Note You need to log in before you can comment on or make changes to this bug.